Subject: Usage of preg_match allows side-effects
Description

as of http://php.net/function.preg-match the function could also return FALSE if an error occurs (see Return Values and Changelog
sections). At some places there is, e.g.,

if (preg_match(self::PATTERN_MATCH_LOCALEIDENTIFIER, $localeIdentifier, $matches) === 0) throw new....

used. This would let a return of FALSE pass by untouched.

Associated revisions
Revision b03e9eae - 2012-01-10 17:44 - Adrian Föder

[TASK] Regard return type of preg_match

As of PHP-documentation, preg_match() may return int 0 or 1
or boolean FALSE. This patch takes care of this behaviour.

Change-Id: I68537730e97934ea8dab1a9e83bb402a26d4912a
Resolves: #33097
Releases: 1.1

History
#1 - 2012-01-10 17:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7723

#2 - 2012-01-10 17:35 - Karsten Dambekalns
- Target version set to 1.1

#3 - 2012-01-10 17:44 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7723
#4 - 2012-01-20 02:42 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b03e9eaed2f8ba2a7f944dd09e4c54ee800bc07e.
